package com.example.ellegadodepintia.exploradoresDePintia.model.objeto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto.EfectoObjeto
import com.example.ellegadodepintia.exploradoresDePintia.model.objeto.efectoObjeto.EfectoObjetoEquipable

class ObjetoEquipable(
    nombre: String,
    descripcion: String,
    val efecto: EfectoObjeto, imagen: Int, coste : Int

    ) : Objeto(nombre, descripcion, imagen, coste) {

    override fun usar() {
        efecto.ejecutar()
        GameState.jugador.equiparObjeto(this)
    }

    fun desequipar(){
        efecto as EfectoObjetoEquipable
        efecto.desequipar()
        GameState.jugador.desequiparObjeto(this)
    }
}